GET /api/v1/task

Constrained by the user role. For example, owners and admins can see all tasks. Members can only see tasks within groups they can access and clients can only see tasks they have access to.

Headers

  • X-PLANNR-ACCOUNT-UUID string

Query parameters

  • include string

    Comma separated list of relationships to include in the response. Valid relationships are [author, completed_by, parent_task, related_tasks, custom_fields, workflow_task].

  • per_page integer

    Number of results to return with pagination (Default 15. Max 500).

  • filter[name] string

    Filter Task name.

  • filter[taskable_type] string

    Taskable type. Can be 'plan' or 'case'.

  • filter[taskable_uuid] string

    Taskable uuid.

  • filter[client_uuid] string

    Client Taskable uuid.

  • filter[priority] string

    Priority. Available options are highest, high, medium, and low.

  • filter[assigned_to_uuids] string

    Filter tasks that have been assigned to the account UUIDs.

  • filter[circle_uuids] string

    Filter tasks that have been assigned to the account UUIDs within the specified circles.

  • filter[status_uuid] string

    Status uuid. The task's status uuid.

  • filter[due_before] string

    date Filter tasks that have a due at date before.

  • filter[due_after] string

    date Filter tasks that have a due at date after.

  • filter[has_due_date] boolean

    Filter tasks that have a due at date or not.

  • filter[open_tasks] boolean

    Only show open tasks. When true, this will filter tasks in the "Completed" or "Archived" columns.

  • filter[completed_status] boolean

    Filter tasks which have a system status of type completed.

  • filter[archived_status] boolean

    Filter tasks which have a system status of type archived.

  • filter[not_started_status] boolean

    Filter tasks which have a system status of type not started.

  • filter[show_child_tasks] boolean

    (deprecated, use subtask_visibility instead) Show child tasks in the top-level list. Defaults to false.

  • filter[subtask_visibility] string

    Filter subtasks in the top-level list. options are: include, exclude or only.

  • filter[unassigned_task_visibility] string

    Filter unassigned subtasks in the top-level list. options are: include, exclude or only.

  • filter[is_recurring] boolean

    Filter recurring tasks.

  • sort string

    Field to sort by. Valid fields are [created_at, updated_at, name, priority, due_at, completed_last]. Negative sign to denote DESC. Defaults to 'created_at'.

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string
      • created_at string
      • updated_at string
      • name string
      • priority string
      • position integer
      • due_at string
      • status object
        Hide status attributes Show status attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • colour string
        • position integer
        • is_type_completed boolean
        • is_archived boolean
        • is_not_started boolean
      • taskable_type string
      • taskable object
        Hide taskable attributes Show taskable attributes object
        • uuid string
        • created_at string
        • updated_at string
        • name string
        • slug string
        • status string
        • type string
        • review_at string
        • assigned_to_uuids array[string]
        • group_uuids array[string]
        • completed_at string
        • value object
          Hide value attributes Show value attributes object
          • amount object
            Hide amount attributes Show amount attributes object
            • example string
            • description string
          • formatted object
            Hide formatted attributes Show formatted attributes object
            • example string
            • description string
          • currency object
            Hide currency attributes Show currency attributes object
            • example string
            • description string
        • status_position integer
        • participants_count integer
        • participants string
        • task_board_uuid string
        • plans string
        • custom_fields string
      • author object
        Hide author attributes Show author attributes object
        • uuid object
          Hide uuid attributes Show uuid attributes object
          • example string
          • description string
          • collection boolean
        • created_at object
          Hide created_at attributes Show created_at attributes object
          • example string
          • description string
          • collection boolean
        • updated_at object
          Hide updated_at attributes Show updated_at attributes object
          • example string
          • description string
          • collection boolean
        • type object
          Hide type attributes Show type attributes object
          • example string
          • description string
          • collection boolean
        • role object
          Hide role attributes Show role attributes object
          • example string
          • description string
          • collection boolean
        • first_name object
          Hide first_name attributes Show first_name attributes object
          • example string
          • description string
          • collection boolean
        • last_name object
          Hide last_name attributes Show last_name attributes object
          • example string
          • description string
          • collection boolean
        • name object
          Hide name attributes Show name attributes object
          • example string
          • description string
          • collection boolean
        • email object
          Hide email attributes Show email attributes object
          • example string
          • description string
          • collection boolean
        • photo_url object
          Hide photo_url attributes Show photo_url attributes object
          • example string
          • description string
          • collection boolean
        • external_references object
          Hide external_references attributes Show external_references attributes object
          • example string
          • description string
          • collection boolean
      • assigned_to object
        Hide assigned_to attributes Show assigned_to attributes object
        • uuid object
          Hide uuid attributes Show uuid attributes object
          • example string
          • description string
          • collection boolean
        • created_at object
          Hide created_at attributes Show created_at attributes object
          • example string
          • description string
          • collection boolean
        • updated_at object
          Hide updated_at attributes Show updated_at attributes object
          • example string
          • description string
          • collection boolean
        • type object
          Hide type attributes Show type attributes object
          • example string
          • description string
          • collection boolean
        • role object
          Hide role attributes Show role attributes object
          • example string
          • description string
          • collection boolean
        • first_name object
          Hide first_name attributes Show first_name attributes object
          • example string
          • description string
          • collection boolean
        • last_name object
          Hide last_name attributes Show last_name attributes object
          • example string
          • description string
          • collection boolean
        • name object
          Hide name attributes Show name attributes object
          • example string
          • description string
          • collection boolean
        • email object
          Hide email attributes Show email attributes object
          • example string
          • description string
          • collection boolean
        • photo_url object
          Hide photo_url attributes Show photo_url attributes object
          • example string
          • description string
          • collection boolean
        • external_references object
          Hide external_references attributes Show external_references attributes object
          • example string
          • description string
          • collection boolean
      • completed_at string
      • completed_by object
        Hide completed_by attributes Show completed_by attributes object
        • uuid object
          Hide uuid attributes Show uuid attributes object
          • example string
          • description string
          • collection boolean
        • created_at object
          Hide created_at attributes Show created_at attributes object
          • example string
          • description string
          • collection boolean
        • updated_at object
          Hide updated_at attributes Show updated_at attributes object
          • example string
          • description string
          • collection boolean
        • type object
          Hide type attributes Show type attributes object
          • example string
          • description string
          • collection boolean
        • role object
          Hide role attributes Show role attributes object
          • example string
          • description string
          • collection boolean
        • first_name object
          Hide first_name attributes Show first_name attributes object
          • example string
          • description string
          • collection boolean
        • last_name object
          Hide last_name attributes Show last_name attributes object
          • example string
          • description string
          • collection boolean
        • name object
          Hide name attributes Show name attributes object
          • example string
          • description string
          • collection boolean
        • email object
          Hide email attributes Show email attributes object
          • example string
          • description string
          • collection boolean
        • photo_url object
          Hide photo_url attributes Show photo_url attributes object
          • example string
          • description string
          • collection boolean
        • external_references object
          Hide external_references attributes Show external_references attributes object
          • example string
          • description string
          • collection boolean
      • workflow_task object
        Hide workflow_task attributes Show workflow_task attributes object
        • uuid object
          Hide uuid attributes Show uuid attributes object
          • example string
          • description string
          • collection boolean
        • created_at object
          Hide created_at attributes Show created_at attributes object
          • example string
          • description string
          • collection boolean
        • updated_at object
          Hide updated_at attributes Show updated_at attributes object
          • example string
          • description string
          • collection boolean
        • name object
          Hide name attributes Show name attributes object
          • example string
          • description string
          • collection boolean
        • description object
          Hide description attributes Show description attributes object
          • example string
          • description string
          • collection boolean
        • priority object
          Hide priority attributes Show priority attributes object
          • example string
          • description string
          • collection boolean
        • position object
          Hide position attributes Show position attributes object
          • example integer
          • description string
          • collection boolean
        • task_status object
          Hide task_status attributes Show task_status attributes object
          • example string
          • description string
          • collection boolean
        • offset_due_at_by object
          Hide offset_due_at_by attributes Show offset_due_at_by attributes object
          • example integer
          • description string
          • collection boolean
        • visible_to_clients object
          Hide visible_to_clients attributes Show visible_to_clients attributes object
          • example boolean
          • description string
          • collection boolean
        • auto_assign_assigned_adviser object
          Hide auto_assign_assigned_adviser attributes Show auto_assign_assigned_adviser attributes object
          • example boolean
          • description string
          • collection boolean
        • auto_assign_assigned_administrator object
          Hide auto_assign_assigned_administrator attributes Show auto_assign_assigned_administrator attributes object
          • example boolean
          • description string
          • collection boolean
        • auto_assign_clients object
          Hide auto_assign_clients attributes Show auto_assign_clients attributes object
          • example boolean
          • description string
          • collection boolean
        • author object
          Hide author attributes Show author attributes object
          • example string
          • description string
          • collection boolean
        • participants object
          Hide participants attributes Show participants attributes object
          • example string
          • description string
          • collection boolean
        • tags object
          Hide tags attributes Show tags attributes object
          • example string
          • description string
          • collection boolean
        • location_uuid object
          Hide location_uuid attributes Show location_uuid attributes object
          • example string
          • description string
          • collection boolean
        • parent object
          Hide parent attributes Show parent attributes object
          • example string
          • description string
          • collection boolean
        • trigger object
          Hide trigger attributes Show trigger attributes object
          • example string
          • description string
          • collection boolean
        • trigger_tasks object
          Hide trigger_tasks attributes Show trigger_tasks attributes object
          • example string
          • description string
          • collection boolean
        • sub_tasks object
          Hide sub_tasks attributes Show sub_tasks attributes object
          • example string
          • description string
          • collection boolean
        • groups object
          Hide groups attributes Show groups attributes object
          • example string
          • description string
          • collection boolean
        • workflow object
          Hide workflow attributes Show workflow attributes object
          • example string
          • description string
          • collection boolean
        • is_trigger_task object
          Hide is_trigger_task attributes Show is_trigger_task attributes object
          • example boolean
          • description string
          • collection boolean
      • is_recurring boolean
      • recurring_frequency string
      • recurring_last_run string
      • recurring_next_run string
      • custom_fields array[object]
        Hide custom_fields attributes Show custom_fields attributes object
        • uuid string
        • created_at string
        • updated_at string
        • type string
        • name string
        • reference string
        • is_required boolean
        • value string
        • selection_options array[string]
        • help_text string
GET /api/v1/task
curl \
 --request GET 'https://api.plannrcrm.com/api/v1/task' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}"
Response examples (200)
{
  "data": [
    {
      "name": "Document the transaction",
      "uuid": "d5690990-ca77-477e-bab2-64831b34469e",
      "author": {
        "name": {
          "example": "Gareth Thompson",
          "collection": false,
          "description": "Name"
        },
        "role": {
          "example": "client",
          "collection": false,
          "description": "Account role"
        },
        "type": {
          "example": "client",
          "collection": false,
          "description": "Account type"
        },
        "uuid": {
          "example": "4454b903-ea07-4be3-8584-213a8b2a9b3b",
          "collection": false,
          "description": "The UUID of the resource."
        },
        "email": {
          "example": "gareth@codepotato.co.uk",
          "collection": false,
          "description": "(Deprecated - Please use the primary email of the account instead). The email of the account."
        },
        "last_name": {
          "example": "Thompson",
          "collection": false,
          "description": "Last name"
        },
        "photo_url": {
          "example": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
          "collection": false,
          "description": "The photo URL of the client"
        },
        "created_at": {
          "example": "2026-03-18T16:05:26+00:00",
          "collection": false,
          "description": "The timestamp of when the resource was created."
        },
        "first_name": {
          "example": "Gareth",
          "collection": false,
          "description": "First name"
        },
        "updated_at": {
          "example": "2026-03-18T16:05:26+00:00",
          "collection": false,
          "description": "The timestamp of when the resource was updated."
        },
        "external_references": {
          "example": "App\\Http\\Resources\\ExternalReferenceResource",
          "collection": true,
          "description": "The external references that have been added to the client."
        }
      },
      "due_at": "2021-01-01 00:00:00",
      "status": {
        "name": "Incomplete",
        "uuid": "9e1457a4-756a-419c-8dab-2b8ae7163ef4",
        "colour": "#398898",
        "position": 1,
        "created_at": "2026-03-18T16:05:26+00:00",
        "updated_at": "2026-03-18T16:05:26+00:00",
        "is_archived": false,
        "is_not_started": false,
        "is_type_completed": false
      },
      "position": 1,
      "priority": "high",
      "taskable": {
        "name": "finance",
        "slug": "finance",
        "type": "App\\Http\\Resources\\CasesTypeResource",
        "uuid": "5089b73c-8bf8-4084-b7e6-b168b0a0d7be",
        "plans": "App\\Http\\Resources\\Plans\\PlanResource",
        "value": {
          "amount": {
            "example": "4000",
            "description": "Money amount at their lowest denominator (for example: pennies)"
          },
          "currency": {
            "example": "GBP",
            "description": "Currency of the money"
          },
          "formatted": {
            "example": "£40.00",
            "description": "Money amount formatted with currency"
          }
        },
        "status": "App\\Http\\Resources\\CasesStatusResource",
        "review_at": "2026-03-18T16:05:26+00:00",
        "created_at": "2026-03-18T16:05:26+00:00",
        "updated_at": "2026-03-18T16:05:26+00:00",
        "group_uuids": [
          "9f1c0bfa-a730-46b1-891d-475a5f21b347"
        ],
        "completed_at": "2026-03-18T16:05:26+00:00",
        "participants": "App\\Http\\Resources\\AccountResource",
        "custom_fields": "App\\Http\\Resources\\CustomFieldValueResource",
        "status_position": 4,
        "task_board_uuid": "97edcd0f-81c7-45e0-8493-8568b1b3bc4b",
        "assigned_to_uuids": [
          "d5b34f22-e3aa-4cfd-aaf3-1cfdafef9e44"
        ],
        "participants_count": 4
      },
      "created_at": "2026-03-18T16:05:26+00:00",
      "updated_at": "2026-03-18T16:05:26+00:00",
      "assigned_to": {
        "name": {
          "example": "Gareth Thompson",
          "collection": false,
          "description": "Name"
        },
        "role": {
          "example": "client",
          "collection": false,
          "description": "Account role"
        },
        "type": {
          "example": "client",
          "collection": false,
          "description": "Account type"
        },
        "uuid": {
          "example": "59040254-a618-461e-8416-5cdb7b938475",
          "collection": false,
          "description": "The UUID of the resource."
        },
        "email": {
          "example": "gareth@codepotato.co.uk",
          "collection": false,
          "description": "(Deprecated - Please use the primary email of the account instead). The email of the account."
        },
        "last_name": {
          "example": "Thompson",
          "collection": false,
          "description": "Last name"
        },
        "photo_url": {
          "example": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
          "collection": false,
          "description": "The photo URL of the client"
        },
        "created_at": {
          "example": "2026-03-18T16:05:26+00:00",
          "collection": false,
          "description": "The timestamp of when the resource was created."
        },
        "first_name": {
          "example": "Gareth",
          "collection": false,
          "description": "First name"
        },
        "updated_at": {
          "example": "2026-03-18T16:05:26+00:00",
          "collection": false,
          "description": "The timestamp of when the resource was updated."
        },
        "external_references": {
          "example": "App\\Http\\Resources\\ExternalReferenceResource",
          "collection": true,
          "description": "The external references that have been added to the client."
        }
      },
      "completed_at": "2021-01-01 00:00:00",
      "completed_by": {
        "name": {
          "example": "Gareth Thompson",
          "collection": false,
          "description": "Name"
        },
        "role": {
          "example": "client",
          "collection": false,
          "description": "Account role"
        },
        "type": {
          "example": "client",
          "collection": false,
          "description": "Account type"
        },
        "uuid": {
          "example": "e4fefc21-e837-46e3-8045-6d14900f77d8",
          "collection": false,
          "description": "The UUID of the resource."
        },
        "email": {
          "example": "gareth@codepotato.co.uk",
          "collection": false,
          "description": "(Deprecated - Please use the primary email of the account instead). The email of the account."
        },
        "last_name": {
          "example": "Thompson",
          "collection": false,
          "description": "Last name"
        },
        "photo_url": {
          "example": "https://eu.ui-avatars.com/api/?name=Gareth+Thompson",
          "collection": false,
          "description": "The photo URL of the client"
        },
        "created_at": {
          "example": "2026-03-18T16:05:26+00:00",
          "collection": false,
          "description": "The timestamp of when the resource was created."
        },
        "first_name": {
          "example": "Gareth",
          "collection": false,
          "description": "First name"
        },
        "updated_at": {
          "example": "2026-03-18T16:05:26+00:00",
          "collection": false,
          "description": "The timestamp of when the resource was updated."
        },
        "external_references": {
          "example": "App\\Http\\Resources\\ExternalReferenceResource",
          "collection": true,
          "description": "The external references that have been added to the client."
        }
      },
      "is_recurring": true,
      "custom_fields": [
        {
          "name": "Favourite Drink",
          "type": "string",
          "uuid": "6ad70f1c-493c-4894-bc3d-332ae1c507a6",
          "value": "Coffee",
          "help_text": "This is the client's favourite drink.",
          "reference": "favourite_drink",
          "created_at": "2026-03-18T16:05:26+00:00",
          "updated_at": "2026-03-18T16:05:26+00:00",
          "is_required": false,
          "selection_options": [
            "Coffee",
            "Tea",
            "Water"
          ]
        }
      ],
      "taskable_type": "case",
      "workflow_task": {
        "name": {
          "example": "Mortgage Review",
          "collection": false,
          "description": "The name of the task"
        },
        "tags": {
          "example": "App\\Http\\Resources\\TagResource",
          "collection": true,
          "description": "The tags added to the task."
        },
        "uuid": {
          "example": "7d25a036-bc7b-4aa6-8fc8-81cbacf8f41b",
          "collection": false,
          "description": "The UUID of the resource."
        },
        "author": {
          "example": "App\\Http\\Resources\\AccountResource",
          "collection": false,
          "description": "The author of the task."
        },
        "groups": {
          "example": "App\\Http\\Resources\\GroupResource",
          "collection": true,
          "description": "The groups that will be added to the task."
        },
        "parent": {
          "example": "App\\Http\\Resources\\Board\\WorkflowBoardTaskResource",
          "collection": false,
          "description": "The parent task."
        },
        "trigger": {
          "example": "App\\Http\\Resources\\Board\\WorkflowBoardTaskResource",
          "collection": false,
          "description": "The task that will trigger this task to be created."
        },
        "position": {
          "example": 2,
          "collection": false,
          "description": "The task position."
        },
        "priority": {
          "example": "high",
          "collection": false,
          "description": "The priority level of the task (e.g p1, p2, p3, p4)"
        },
        "workflow": {
          "example": "App\\Http\\Resources\\Board\\WorkflowResource",
          "collection": false,
          "description": "The workflow that the workflow task belongs to."
        },
        "sub_tasks": {
          "example": "App\\Http\\Resources\\Board\\WorkflowBoardTaskResource",
          "collection": true,
          "description": "The tasks sub tasks."
        },
        "created_at": {
          "example": "2026-03-18T16:05:26+00:00",
          "collection": false,
          "description": "The timestamp of when the resource was created."
        },
        "updated_at": {
          "example": "2026-03-18T16:05:26+00:00",
          "collection": false,
          "description": "The timestamp of when the resource was updated."
        },
        "description": {
          "example": "We need to run through a mortgage review with Gareth, as he can probably find a better deal.",
          "collection": false,
          "description": "The extra description added to a task"
        },
        "task_status": {
          "example": "App\\Http\\Resources\\TaskStatusResource",
          "collection": false,
          "description": "Task status."
        },
        "participants": {
          "example": "App\\Http\\Resources\\AccountResource",
          "collection": true,
          "description": "The participants/assignees of the task."
        },
        "location_uuid": {
          "example": "645befc2-fc72-411d-b107-d701baff55f8",
          "collection": false,
          "description": "The parent task or workflow trigger task this task is a child of."
        },
        "trigger_tasks": {
          "example": "App\\Http\\Resources\\Board\\WorkflowBoardTaskResource",
          "collection": true,
          "description": "The tasks that will be triggered when this task is completed."
        },
        "is_trigger_task": {
          "example": true,
          "collection": false,
          "description": "Denotes if this is a triggered task."
        },
        "offset_due_at_by": {
          "example": 2,
          "collection": false,
          "description": "How many days from the day the workflow is run should the due at be set by."
        },
        "visible_to_clients": {
          "example": true,
          "collection": false,
          "description": "Indicator for if the task is visible to clients."
        },
        "auto_assign_clients": {
          "example": true,
          "collection": false,
          "description": "Denotes if the task will auto-assign the clients when it is created. If the workflow is run on a case then all the clients on the case will be assigned."
        },
        "auto_assign_assigned_adviser": {
          "example": true,
          "collection": false,
          "description": "Denotes if the task will auto-assign the assigned adviser / assigned adviser of the client when it is created."
        },
        "auto_assign_assigned_administrator": {
          "example": true,
          "collection": false,
          "description": "Denotes if the task will auto-assign the administrator of the client when it is created."
        }
      },
      "recurring_last_run": "2026-01-01 00:00:00",
      "recurring_next_run": "2026-01-01 00:00:00",
      "recurring_frequency": "weekly"
    }
  ]
}